
var iVideoContent = null;
var autoStart = true;
var scorm = pipwerks.SCORM;
var lmsConnected = false;
 iVideoContent = {hashId:"PO8Ka7Jj", minDur:79} 



var pages = [];		
pages.push({name: 'scorm.initializer', storeLocation: false});		
var _url = 'index.html?iv='+iVideoContent['hashId']+"&utm_source=scorm";

if(iVideoContent["subtitle"] != null){		
    _url += '&sub='+iVideoContent['subtitle'];
}

if(iVideoContent["minDur"] != null){		
    _url += '&minDur='+iVideoContent['minDur'];
}

if(iVideoContent["storyboard"] != null){
    _url += '&storyboard=true';
}

_url+= '&v='+ new Date().getTime();

pages.push({name: _url, storeLocation: true});

var currentPage = null;
var startTimeStamp = null;
var processedUnload = false;



 
/*************************************/
//functions for sizing the iFrame
/*************************************/
function setIframeHeight(id) {
    if (document.getElementById) {
        var theIframe = document.getElementById(id);
        if (theIframe) {
            var height = getWindowHeight();
            theIframe.style.height = Math.round(height) + "px";
            theIframe.style.marginTop = Math.round(((height) - parseInt(theIframe.style.height) ) / 2) + "px";
        }
    }
}

function setupIFrame() {
    //set our iFrame for the content to take up the full screen except for our navigation
   
	//setIframeHeight("content_frame");
	
    //need this in a setTimeout to avoid a timing error in IE6
    // window.setTimeout('window.onresize = function() { setIframeHeight("content_frame", ' + navWidth + '); }', 1000);
}

function doOnload() {
	
	   //scorm.init returns a boolean
	   scorm.handleExitMode = false;	
	   lmsConnected = scorm.init();
	   
	   //If the scorm.init function succeeded...
	   if(lmsConnected){
		   
		   startTimeStamp = new Date();
		   
		   setupIFrame();
		   goToPage(1, true);
		 //If the course couldn't connect to the LMS for some reason...
	   } else {
	   
	      //... let's alert the user then close the window.
	      handleError("Error: Course could not connect with the LMS");
	   
	   }


	   
    
}


function handleError(msg){
	   alert(msg);
	  // window.close();
	}

function finish() {
	scorm.set('cmi.completion_status', "completed");
}



function doUnload(pressedExit){
	if (processedUnload == true){
		return;
	}
	processedUnload = true;
	
	//record the session time
    var endTimeStamp = new Date();
    var totalMilliseconds = (endTimeStamp.getTime() - startTimeStamp.getTime());
    var scormTime = ConvertMilliSecondsIntoSCORM2004Time(totalMilliseconds);
    
    scorm.set("cmi.exit", "suspend");
    scorm.set("cmi.session_time", scormTime);
    scorm.quit();
    
}


function goToPage(currentPage, inJs){
    var theIframe = document.getElementById("content_frame");
    if(theIframe == undefined || theIframe == null){
       theIframe = parent.document.getElementById("content_frame");
    }


    if(!inJs){
        currentPage = currentPage.replace(/\.[^/.]+$/, "");
        var pageObj = getPageByName(pages, currentPage);
        currentPage = pageObj["weight"];
    }


    //theIframe.src = "../"+pages[currentPage]['name']+".html?v="+ new Date().getTime();
    
    theIframe.src = "../"+pages[currentPage]['name'];

   
    
    /*
    if (currentPage == (pages.length - 1)){
    	scorm.set('cmi.completion_status', "completed");
    }
    */
   	
	togglePreLoader('hide');

}

document.addEventListener("DOMContentLoaded", function(event) {

    var theIframe = document.getElementById("content_frame");
    if(theIframe == undefined || theIframe == null){
       theIframe = parent.document.getElementById("content_frame");
    }
    
});




function togglePreLoader(_type){
	 setTimeout(function(){
	 	
	 	var displayType = 'display: block !important';
	 	if(_type == 'hide'){
	 		displayType = 'display: none !important';
	 	}
	 	
        var loadingLayer = document.getElementById("loading_layer");
        loadingLayer.setAttribute("style", "display: none !important;");
    }, 1500);	
}


function getPageByName(arr, value) {

  for (var i=0, iLen=arr.length; i<iLen; i++) {
    if (arr[i].name == value){
        return {page : arr[i], weight: i};
    }
  }
  return null;
}

function getWindowHeight() {
    var height = 0;
    if (window.innerHeight){
        height = window.innerHeight;
    }
    else if (document.documentElement && document.documentElement.clientHeight){
        height = document.documentElement.clientHeight;
    }
    else if (document.body && document.body.clientHeight) {
        height = document.body.clientHeight;
    }
    return height;
}


//SCORM requires time to be formatted in a specific way
function ConvertMilliSecondsIntoSCORM2004Time(intTotalMilliseconds){

    var ScormTime = "";
	
    var HundredthsOfASecond;	//decrementing counter - work at the hundreths of a second level because that is all the precision that is required
	
    var Seconds;	// 100 hundreths of a seconds
    var Minutes;	// 60 seconds
    var Hours;		// 60 minutes
    var Days;		// 24 hours
    var Months;		// assumed to be an "average" month (figures a leap year every 4 years) = ((365*4) + 1) / 48 days - 30.4375 days per month
    var Years;		// assumed to be 12 "average" months
	
    var HUNDREDTHS_PER_SECOND = 100;
    var HUNDREDTHS_PER_MINUTE = HUNDREDTHS_PER_SECOND * 60;
    var HUNDREDTHS_PER_HOUR   = HUNDREDTHS_PER_MINUTE * 60;
    var HUNDREDTHS_PER_DAY    = HUNDREDTHS_PER_HOUR * 24;
    var HUNDREDTHS_PER_MONTH  = HUNDREDTHS_PER_DAY * (((365 * 4) + 1) / 48);
    var HUNDREDTHS_PER_YEAR   = HUNDREDTHS_PER_MONTH * 12;
	
    HundredthsOfASecond = Math.floor(intTotalMilliseconds / 10);
	
    Years = Math.floor(HundredthsOfASecond / HUNDREDTHS_PER_YEAR);
    HundredthsOfASecond -= (Years * HUNDREDTHS_PER_YEAR);
	
    Months = Math.floor(HundredthsOfASecond / HUNDREDTHS_PER_MONTH);
    HundredthsOfASecond -= (Months * HUNDREDTHS_PER_MONTH);
	
    Days = Math.floor(HundredthsOfASecond / HUNDREDTHS_PER_DAY);
    HundredthsOfASecond -= (Days * HUNDREDTHS_PER_DAY);
	
    Hours = Math.floor(HundredthsOfASecond / HUNDREDTHS_PER_HOUR);
    HundredthsOfASecond -= (Hours * HUNDREDTHS_PER_HOUR);
	
    Minutes = Math.floor(HundredthsOfASecond / HUNDREDTHS_PER_MINUTE);
    HundredthsOfASecond -= (Minutes * HUNDREDTHS_PER_MINUTE);
	
    Seconds = Math.floor(HundredthsOfASecond / HUNDREDTHS_PER_SECOND);
    HundredthsOfASecond -= (Seconds * HUNDREDTHS_PER_SECOND);
	
    if (Years > 0) {
	    ScormTime += Years + "Y";
    }
    if (Months > 0){
	    ScormTime += Months + "M";
    }
    if (Days > 0){
	    ScormTime += Days + "D";
    }
	
    //check to see if we have any time before adding the "T"
    if ((HundredthsOfASecond + Seconds + Minutes + Hours) > 0 ){
		
	    ScormTime += "T";
		
	    if (Hours > 0){
		    ScormTime += Hours + "H";
	    }
		
	    if (Minutes > 0){
		    ScormTime += Minutes + "M";
	    }
		
	    if ((HundredthsOfASecond + Seconds) > 0){
		    ScormTime += Seconds;
			
		    if (HundredthsOfASecond > 0){
			    ScormTime += "." + HundredthsOfASecond;
		    }
			
		    ScormTime += "S";
	    }
		
    }
	
    if (ScormTime == ""){
	    ScormTime = "0S";
    }
	
    ScormTime = "P" + ScormTime;
	
    return ScormTime;
}
